Package org.silverpeas.components.silvercrawler.util

## Class FileServerUtils

- java.lang.Object
- - org.silverpeas.core.util.file.FileServerUtils
  - - org.silverpeas.components.silvercrawler.util.FileServerUtils

-     public class FileServerUtils
      extends org.silverpeas.core.util.file.FileServerUtils

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.util.file.FileServerUtils

      `ARCHIVE_IT_PARAMETER, COMPONENT_ID_PARAMETER, DIR_TYPE_PARAMETER, DIRECTORY_PARAMETER, MIME_TYPE_PARAMETER, NODE_ID_PARAMETER, PUBLICATION_ID_PARAMETER, SIZE_PARAMETER, SOURCE_FILE_PARAMETER, TYPE_UPLOAD_PARAMETER, USER_ID_PARAMETER`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileServerUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `getSilverCrawlerUrl​(String logicalName, String physicalName, String componentId)` |
    `static String` | `getSilverCrawlerUrl​(String logicalName, String physicalName, String componentId, String path)` |

    - ### Methods inherited from class org.silverpeas.core.util.file.FileServerUtils

      `getAliasURL, getApplicationContext, getAttachmentURL, getImageURL, getMappedUrl, getOnlineURL, getUrl, getUrl, getUrl, getUrl, getUrl, getUrlToTempDir, getWebUrl, replaceAccentChars, replaceInvalidPathChars, replaceSpecialChars`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileServerUtils

          public FileServerUtils()

  - ### Method Detail

    - #### getSilverCrawlerUrl

          public static String getSilverCrawlerUrl​(String logicalName,
                                                   String physicalName,
                                                   String componentId)

    - #### getSilverCrawlerUrl

          public static String getSilverCrawlerUrl​(String logicalName,
                                                   String physicalName,
                                                   String componentId,
                                                   String path)